### Interface

# Gtk CellEditable

#### Description [src]

    interface Gtk.CellEditable : Gtk.Widget

Interface for widgets that can be used for editing cells

The `GtkCellEditable` interface must be implemented for widgets to be usable to edit the contents of a `GtkTreeView` cell. It provides a way to specify how temporary widgets should be configured for editing, get the new value, etc.

#### Instance methods

###### gtk_cell_editable_editing_done

Emits the `GtkCellEditable::editing-done` signal.

###### gtk_cell_editable_remove_widget

Emits the `GtkCellEditable::remove-widget` signal.

###### gtk_cell_editable_start_editing

Begins editing on a `cell_editable`.

#### Properties

###### Gtk.CellEditable:editing-canceled

Indicates whether editing on the cell has been canceled.

#### Signals

###### Gtk.CellEditable::editing-done

This signal is a sign for the cell renderer to update its value from the `cell_editable`.

###### Gtk.CellEditable::remove-widget

This signal is meant to indicate that the cell is finished editing, and the `cell_editable` widget is being removed and may subsequently be destroyed.

#### Interface structure

    struct GtkCellEditableIface {
      void (* editing_done) (
        GtkCellEditable* cell_editable
      );
      void (* remove_widget) (
        GtkCellEditable* cell_editable
      );
      void (* start_editing) (
        GtkCellEditable* cell_editable,
        GdkEvent* event
      );

    }

###### Interface members

`editing_done` |
    void (* editing_done) (
        GtkCellEditable* cell_editable
      )
| No description available.
`remove_widget` |
    void (* remove_widget) (
        GtkCellEditable* cell_editable
      )
| No description available.
`start_editing` |
    void (* start_editing) (
        GtkCellEditable* cell_editable,
        GdkEvent* event
      )
| No description available.

#### Virtual methods

###### Gtk.CellEditable.editing_done

Emits the `GtkCellEditable::editing-done` signal.

###### Gtk.CellEditable.remove_widget

Emits the `GtkCellEditable::remove-widget` signal.

###### Gtk.CellEditable.start_editing

Begins editing on a `cell_editable`.